Adds nodes after the character data

- « DOMCharacterData

- DOMCharacterData::appendData »

- PHP Manual
- DOMCharacterData
- Adds nodes after the character data

# DOMCharacterData::after

(PHP 8)

DOMCharacterData::after — Adds nodes after the character data

### Description

public DOMCharacterData::after(DOMNode|string `...$nodes`): void

Adds the passed `nodes` after the element.

### Parameters

`nodes`

  Nodes to be added after the node. Strings are automatically converted to text nodes.

### Return Values

No value is returned.

### Errors/Exceptions

`DOM_HIERARCHY_REQUEST_ERR`

  Raised if the parent is of a type that does not allow children of the type of one of the passed `nodes`, or if the node to put in is one of this node's ancestors or this node itself.

`DOM_WRONG_DOCUMENT_ERR`

  Raised if one of the passed `nodes` was created from a different document than the one that created this node.

### Changelog

Version | Description
--- | ---
8.3.0 | Calling this method on a node without a parent is now a no-op to align the behaviour with the DOM specification. Previously this threw a DOMException with code `DOM_HIERARCHY_REQUEST_ERR`.
8.3.0 | Calling this method on a node without an owner document now works. Previously this threw a DOMException with code `DOM_HIERARCHY_REQUEST_ERR`.

### Examples

Example #1 DOMCharacterData::after() example

Adds nodes after the character data.

    <?php
    $doc = new DOMDocument;
    $doc->loadXML("<container><![CDATA[hello]]></container>");
    $cdata = $doc->documentElement->firstChild;

    $cdata->after("beautiful", $doc->createElement("world"));

    echo $doc->saveXML();
    ?>

The above example will output:

    <?xml version="1.0"?>
    <container><![CDATA[hello]]>beautiful<world/></container>

### See Also

- DOMChildNode::after() - Adds nodes after the node
- DOMCharacterData::before() - Adds nodes before the node